View Issue Details

IDProjectCategoryView StatusLast Update
0032595Open CASCADEOCCT:Documentationpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.5.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032595: Documentation - revise "Build OCCT" structure to highlight CMake usage
Description"Build OCCT" starts with a section elaborating building of OCCT using CMake for Windows platform, and then followed by chapters like "Mac OS X" making an impression that genproj tool is the main tool for building OCCT on macOS platform.

It is proposed revising this article structure and move CMake instructions out from "Windows" section, to highlight that this is a cross-platform way for building OCCT on any platform.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0031087 verifiedsmoskvin Configuration - make FreeType dependency optional 
related to 0032206 closedbugmaster Visualization, TKOpenGl - move out OpenGL ES support to dedicated library TKOpenGles 
child of 0031634 newkgv Documentation - minor clean-up of User Guides from misprints and old classes 

Activities

git

2021-09-29 15:42

administrator   ~0104426

Branch CR32595 has been created by kgv.

SHA-1: e9bf433213291d537eb5486500340b8752a7d35a


Detailed log of new commits:

Author: kgv
Date: Wed Sep 29 12:24:26 2021 +0300

    0032595: Documentation - revise "Build OCCT" structure to highlight CMake usage
    
    "Building with CMake tool" subsection has been moved out from "Windows" to a dedicated top-level section.
    genproj sections have been merged and restructured.
    Added description of some new CMake configuration options.
    Updated URL to 3rd-party components on Development Portal.

git

2021-09-29 15:43

administrator   ~0104427

Branch CR32595 has been updated forcibly by kgv.

SHA-1: 4faa8e1d5eb9fc6c4c8f790a37858208d03b26db

kgv

2021-09-29 15:44

developer   ~0104428

Patch is ready for review
- OCCT: branch CR32595.

git

2021-09-30 13:47

administrator   ~0104447

Branch CR32595 has been updated by aml.

SHA-1: 0d842377d2bab309724058c95d2ec8890fb924ec


Detailed log of new commits:

Author: aml
Date: Thu Sep 30 13:44:43 2021 +0300

    # Polishing.

aml

2021-09-30 13:49

developer   ~0104448

Please raise the patch
- OCCT: branch CR32595.

smoskvin

2021-10-02 10:35

administrator   ~0104483

Combination -
OCCT branch : IR-2021-10-01
master SHA - 0f05f21194a6711251182a118643efc9eb6c322b
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-01 SHA - a7a409985492330e4f25011465bc659dfe7d7562
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17464.590000000462 / 17476.150000000354 [-0.07%]
Products
Total CPU difference: 11405.930000000111 / 11390.180000000097 [+0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 19332.171875 / 19335.34375 [-0.02%]
Products
Total CPU difference: 12772.859375 / 12782.828125 [-0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105879

Branch CR32595 has been deleted by kgv.

SHA-1: 0d842377d2bab309724058c95d2ec8890fb924ec

Related Changesets

occt: master b4871a3b

2021-09-29 09:24:26

kgv


Committer: smoskvin Details Diff
0032595: Documentation - revise "Build OCCT" structure to highlight CMake usage

"Building with CMake tool" subsection has been moved out from "Windows" to a dedicated top-level section.
genproj sections have been merged and restructured.
Added description of some new CMake configuration options.
Updated URL to 3rd-party components on Development Portal.
Affected Issues
0032595
mod - dox/build/build_occt/building_occt.md Diff File
rm - dox/build/build_occt/images/genconf_osx.png Diff File
mod - dox/upgrade/upgrade.md Diff File

Issue History

Date Modified Username Field Change
2021-09-29 12:23 kgv New Issue
2021-09-29 12:23 kgv Assigned To => kgv
2021-09-29 12:23 kgv Summary Documentation - revise "Build OCCT" structure => Documentation - revise "Build OCCT" structure to highlight CMake usage
2021-09-29 15:42 git Note Added: 0104426
2021-09-29 15:43 git Note Added: 0104427
2021-09-29 15:44 kgv Test case number => N/A
2021-09-29 15:44 kgv Note Added: 0104428
2021-09-29 15:44 kgv Assigned To kgv => aml
2021-09-29 15:44 kgv Status new => resolved
2021-09-29 15:44 kgv Relationship added related to 0031087
2021-09-29 15:45 kgv Relationship added related to 0032206
2021-09-29 15:47 kgv Relationship added child of 0031634
2021-09-30 13:47 git Note Added: 0104447
2021-09-30 13:49 aml Note Added: 0104448
2021-09-30 13:49 aml Assigned To aml => bugmaster
2021-09-30 13:49 aml Status resolved => reviewed
2021-10-02 10:35 smoskvin Note Added: 0104483
2021-10-02 10:35 smoskvin Status reviewed => tested
2021-10-02 11:32 smoskvin Changeset attached => occt master b4871a3b
2021-10-02 11:32 smoskvin Assigned To bugmaster => smoskvin
2021-10-02 11:32 smoskvin Status tested => verified
2021-10-02 11:32 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105879